%global oname TGGraphLayout
Name:          tggraphlayout
Version:       1.22
Release:       1%{?dist}
Summary:       The layout library of the Touchgraph project
License:       ASL 2.0
URL:           http://www.touchgraph.com/
#http://sourceforge.net/projects/touchgraph/
Source0:       http://downloads.sourceforge.net/touchgraph/TGGL_122_jre11.zip

BuildRequires: java-devel
#BuildRequires: javapackages-local
BuildRequires: maven-local

BuildArch:     noarch

%description
TouchGraph provides a set of interfaces for graph visualization using
force-based layout and focus+context techniques. For now only
older code is available, but we are planning to release new versions
as well.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}

# Cleanup
find -name *.jar -print -delete
find -name *.class -print -delete

mv TGGL\ ReleaseNotes.txt TGGL_ReleaseNotes.txt
# Fix incorrect end-of-line encoding
sed -i 's/\r//' TGGL_ReleaseNotes.txt

# Generate customized maven pom file
cat > pom.xml << EOF
<?xml version="1.0" encoding="UTF-8"?>
<project 
  xmlns="http://maven.apache.org/POM/4.0.0" 
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

  <modelVersion>4.0.0</modelVersion>
  <groupId>com.touchgraph</groupId>
  <artifactId>%{oname}</artifactId>
  <packaging>bundle</packaging>
  <name>%{oname}</name>
  <version>%{version}</version>

  <description>The layout library of the Touchgraph project</description>

  <url>%{url}</url>

  <licenses>
    <license>
      <name>The Apache Software License, Version 2.0</name>
      <url>http://www.apache.org/licenses/LICENSE-2.0</url>
    </license>
  </licenses>
  
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
    <compileSource>1.6</compileSource>
  </properties>

  <build>

    <sourceDirectory>\${basedir}</sourceDirectory>

    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.3</version>
        <configuration>
          <fork>true</fork>
          <source>\${compileSource}</source>
          <target>\${compileSource}</target>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-javadoc-plugin</artifactId>
        <version>2.10.3</version>
        <configuration>
          <additionalparam>-Xdoclint:none</additionalparam>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.felix</groupId>
        <artifactId>maven-bundle-plugin</artifactId>
        <version>2.5.4</version>
        <extensions>true</extensions>
        <configuration>
          <instructions>
            <Main-Class>com.touchgraph.graphlayout.GLPanel</Main-Class>
          </instructions>
        </configuration>
        <executions>
          <execution>
            <id>bundle-manifest</id>
            <phase>process-classes</phase>
            <goals>
              <goal>manifest</goal>
            </goals>
          </execution>
        </executions>
      </plugin>

    </plugins>

  </build>

</project>
EOF

# Configure the installation path and add symlinks
%mvn_file com.touchgraph:%{oname} %{name} %{oname} tggl

%build

# No test suite available
%mvn_build

#mkdir -p target/{classes,site/apidocs}
#%%javac -d target/classes -encoding UTF-8 $(find com/ -name "*.java")
#%%javadoc -encoding UTF-8 -Xdoclint:none -classpath target/classes -d target/site/apidocs $(find com/ -name "*.java")
#(
# cd target/classes
# %%jar cfe ../%%{name}.jar com.touchgraph.graphlayout.GLPanel *
#)

%install
#%% mvn_artifact com.touchgraph:TGGraphLayout:%%{version} target/%%{name}.jar
%mvn_install

%files -f .mfiles
%doc TGGL_ReleaseNotes.txt
%license TG-APACHE-LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license TG-APACHE-LICENSE.txt

%changelog
* Sat Nov 14 2015 gil cattaneo <puntogil@libero.it> 1.22-1
- imported package tggraphlayout for Fedora

* Sat Jun 11 2011 gil cattaneo <puntogil@libero.it> 1.22-1.mga1
- imported package tggraphlayout
